Subject: Re: linux-next: build failure after merge of the kvm-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 22 Apr 2025 17:33:41 +1000

Hi all,

On Tue, 22 Apr 2025 12:43:10 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the kvm-fixes tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: modpost: "kvm_arch_has_irq_bypass" [arch/x86/kvm/kvm-amd.ko] undefined!
> 
> Caused by commit
> 
>   73e0c567c24a ("KVM: SVM: Don't update IRTEs if APICv/AVIC is disabled")
> 
> I have used the kvm-fixes tree from next-20250417 for today.

I also had to use the kvm tree from next-20250417.

-- 
Cheers,
Stephen Rothwell